import type { UmbWebhookEventModel } from './types.js';
import { UmbLitElement } from '../../core/lit-element/index.js';
import '../../core/culture/index.js';
export declare class UmbInputWebhookEventsElement extends UmbLitElement {
    #private;
    events: Array<UmbWebhookEventModel>;
    private _modalContext?;
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbInputWebhookEventsElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-input-webhook-events': UmbInputWebhookEventsElement;
    }
}
